Loading...
Searching...
No Matches
reaclib.cpp File Reference
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/atomic/species.h"`
`#include "gridfire/reaction/reaclib.h"`
`#include "gridfire/reaction/reactions_data.h"`
`#include "gridfire/types/types.h"`
`#include "gridfire/exceptions/error_reaction.h"`
`#include <stdexcept>`
`#include <sstream>`
`#include <vector>`
`#include <string>`
`#include <format>`
`#include <expected>`
Include dependency graph for reaclib.cpp:

## Classes

struct | gridfire::reaclib::ReactionRecord

## Namespaces

namespace | gridfire
namespace | gridfire::reaclib

## Functions

std::ostream & | gridfire::reaclib::operator<< (std::ostream &os, const ReactionRecord &r)
static std::vector< fourdst::atomic::Species > | gridfire::reaclib::parseSpeciesString (const std::string_view str)
static void | gridfire::reaclib::initializeAllReaclibReactions ()
const reaction::ReactionSet & | gridfire::reaclib::get_all_reaclib_reactions ()
| Provides global access to the fully initialized REACLIB reaction set.

## Variables

static std::unique_ptr< reaction::ReactionSet > | gridfire::reaclib::s_all_reaclib_reactions_ptr = nullptr